//------------------------------------------------------------------------------
// Delphi 10.4.1
// WebCore15.6.0
//------------------------------------------------------------------------------
unit Unit1;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, Vcl.StdCtrls, WEBLib.StdCtrls, Vcl.Controls,
  WEBLib.ExtCtrls;

type
  TForm1 = class(TWebForm)
    WebEdit1: TWebEdit;
    WebEdit2: TWebEdit;
    WebPanel1: TWebPanel;
    WebButton1: TWebButton;
    WebButton2: TWebButton;
    procedure WebButton1Click(Sender: TObject);
    procedure WebButton2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses System.NetEncoding;

procedure TForm1.WebButton1Click(Sender: TObject);
var
  s, sEncod: string;
  Base64: TBase64Encoding;
begin
  s := WebEdit1.Text;
  Base64  := TBase64Encoding.Create(10, '');
  sEncod  := Base64.Encode(s);
  WebEdit2.Text:=sEncod;
end;

procedure TForm1.WebButton2Click(Sender: TObject);
var
  s, sDecod: string;
  Base64: TBase64Encoding;
begin
  s := WebEdit2.Text;
  Base64 := TBase64Encoding.Create(10, '');
  sDecod := Base64.Decode(s);
  WebEdit1.Text:=sDecod;
end;

end.